[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Destroy

Destroy - destructor for TCanvas: frees handles and region, calls inherited Destroy, sets font, pen and brush resources to nil

## Declaration

Source position: graphics.pp line 1076

`public destructor TCanvas.Destroy; override;`

## Description

TCanvas and makes its resources available

## See also

TFPCustomCanvas.Destroy

The latest version of this document can be found at lazarus-ccr.sourceforge.net.